CVE-2017-1000097

NameCVE-2017-1000097
DescriptionOn Darwin, user's trust preferences for root certificates were not honored. If the user had a root certificate loaded in their Keychain that was explicitly not trusted, a Go program would still verify a connection using that root certificate.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang (PTS)jessie2:1.3.3-1fixed
jessie (security)2:1.3.3-1+deb8u2fixed
golang-1.7 (PTS)stretch1.7.4-2fixed
stretch (security)1.7.4-2+deb9u1fixed
golang-1.8 (PTS)stretch1.8.1-1fixed
stretch (security)1.8.1-1+deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golangsource(unstable)(not affected)
golang-1.7source(unstable)(not affected)
golang-1.8source(unstable)(not affected)
golang-1.9source(unstable)(not affected)

Notes

- golang <not-affected> (OS X specific issue)
- golang-1.7 <not-affected> (OS X specific issue)
- golang-1.8 <not-affected> (OS X specific issue)
- golang-1.9 <not-affected> (OS X specific issue)
https://github.com/golang/go/issues/18141

Search for package or bug name: Reporting problems